## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ##
## filename: Makefile.am                                                   ##
##                                                                         ##
## UTIL Make   : Medical Image Conversion Utility                          ##
##                                                                         ##
## purpose     : dicom subdir Makefile template (automake)                 ##
##                                                                         ##
## project     : (X)MedCon by Erik Nolf                                    ##
##                                                                         ##
## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ## ##
## $Id: Makefile.am,v 1.6 2002/11/28 23:13:29 enlf Exp $

AUTOMAKE_OPTIONS = gnu

##
## dictionary
##
DICTDATA = dictionary.data
DICTSQ   = dictionary.SQ
DICTSRC  = dicom.dic
DICTSTD  = dict-dicom.dic
DICTXTR  = dict-gemsi.dic dict-vision.dic
PARSE    = parse

##
## lossless jpeg
##
if DO_LJPG
LJPG_DIR = ../ljpg
LJPG_INC = -I$(LJPG_DIR)
LJPG_DEF = -DMDC_SUPPORT_LJPG
endif

##
##
## targets to build dictionaries manually
## 
dodicts:
	$(CC) -o $(PARSE) $(PARSE).c
	./$(PARSE) < $(DICTSRC) > $(DICTDATA)
	fgrep SQ $(DICTSRC) | ./$(PARSE) > $(DICTSQ) 
	rm -f $(PARSE)

rmdicts:
	rm -f $(DICTDATA) $(DICTSQ) $(PARSE)

##
## targets to build dictionaries automatically
##
$(DICTSRC): $(DICTSTD) $(DICTXTR)
	cat $(DICTSTD) $(DICTXTR) | grep -v "^#" > $(DICTSRC)

$(DICTDATA): $(PARSE) $(DICTSRC)
	./$(PARSE) < $(DICTSRC) > $(DICTDATA)

$(DICTSQ): $(PARSE) $(DICTSRC)
	fgrep SQ $(DICTSRC) | ./$(PARSE) > $(DICTSQ)

##
## code to build library
##

if DO_DICM
noinst_PROGRAMS = $(PARSE)
noinst_LTLIBRARIES = libdicom.la
endif

basic.c: $(DICTSQ)

dictionary.c: $(DICTDATA)

libdicom_la_SOURCES = \
 log.c \
 basic.c \
 dictionary.c \
 single.c \
 bit.c \
 transform.c \
 image.c \
 zoom.c \
 process.c \
 decomp.c

noinst_HEADERS = dicom.h

INCLUDES = $(LJPG_INC)
AM_CFLAGS   = $(LJPG_DEF)

CLEANFILES = $(DICTSRC) $(DICTDATA) $(DICTSQ) $(PARSE)

EXTRA_DIST = $(DICTSTD) $(DICTXTR) $(PARSE).c

